summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSimon Rettberg2020-02-24 12:35:14 +0100
committerSimon Rettberg2020-02-24 12:35:14 +0100
commit16e062ee12e80a2dab7f52b1bceed9e6edd1c2f3 (patch)
tree05bfc373b4cf21a8b589903904bf4b4fbec48822
parent[scripts/mount-store] Make stage4 owned by dnbd3 user (diff)
downloadtmlite-bwlp-16e062ee12e80a2dab7f52b1bceed9e6edd1c2f3.tar.gz
tmlite-bwlp-16e062ee12e80a2dab7f52b1bceed9e6edd1c2f3.tar.xz
tmlite-bwlp-16e062ee12e80a2dab7f52b1bceed9e6edd1c2f3.zip
scripts/system-restore: Run post-restore scripts
-rwxr-xr-xscripts/system-restore6
1 files changed, 6 insertions, 0 deletions
diff --git a/scripts/system-restore b/scripts/system-restore
index 1c2f6bb..a044d2d 100755
--- a/scripts/system-restore
+++ b/scripts/system-restore
@@ -155,6 +155,12 @@ fi
# Sync redirect flag file with setting stored in DB
/opt/taskmanager/scripts/install-https --redirect --redirect-only
+# Run all post-restore scripts
+for i in /opt/openslx/restore.d/*/init.sh; do
+ [ -x "$i" ] || continue
+ "$i" || echo "ERROR running post-restore script $i: $?"
+done
+
rm -rf -- "$DIR"
rm -f -- "$BACKUP"